# PhoenixProject - Système IA d'Affiliation Unifié

## 🚀 Description

PhoenixProject est un système d'intelligence artificielle complet pour la gestion automatique d'affiliation et la planification de publications Reddit. Ce bundle unifié offre une solution intégrée pour optimiser vos revenus d'affiliation.

## ✨ Fonctionnalités principales

- 🤖 **IA de publication automatique** : Génération automatique de contenu optimisé
- 📅 **Planification intelligente** : Planification automatique des publications Reddit
- 💰 **Gestion des revenus** : Suivi et analyse des revenus d'affiliation
- 📊 **Dashboard en temps réel** : Interface web pour le monitoring
- 🔄 **Automatisation complète** : Workflows automatisés pour l'affiliation
- 📈 **Analytics avancés** : Rapports détaillés et métriques de performance

## 🛠️ Installation

```bash
pip install affiliate_ai
```

## 🚀 Utilisation rapide

```python
from affiliate_ai import cli

# Lancement de l'interface CLI
cli.main()
```

Ou directement via la commande :
```bash
affiliate-ai
```

## 📁 Structure du projet

```
affiliate_ai/
├── amazon/          # Modules Amazon Affiliation
├── core/           # Fonctionnalités principales
├── reddit/         # Automatisation Reddit
├── ui/             # Interface utilisateur
├── web/            # Interface web
└── tools/          # Outils utilitaires
```

## 🔗 Liens utiles

- 📖 [Documentation complète](https://github.com/PhoenixGuardianTools/unified_affiliate_bundle#readme)
- 🐛 [Signaler un bug](https://github.com/PhoenixGuardianTools/unified_affiliate_bundle/issues)
- 💡 [Demander une fonctionnalité](https://github.com/PhoenixGuardianTools/unified_affiliate_bundle/issues)

## 👨‍💻 Développement

Pour contribuer au projet ou publier une nouvelle version :

1. **Cloner le repository** :
   ```bash
   git clone https://github.com/PhoenixGuardianTools/unified_affiliate_bundle.git
   cd unified_affiliate_bundle
   ```

2. **Installer en mode développement** :
   ```bash
   pip install -e .
   ```

3. **Lancer les tests** :
   ```bash
   python test_all.py
   ```

4. **Publier une nouvelle version** :
   ```bash
   python -m build
   python scripts/upload_to_pypi.py
   ```

📋 **Guide complet** : Voir [docs/DEVELOPMENT.md](docs/DEVELOPMENT.md) pour les détails de publication.

## 📄 Licence

Ce projet est sous licence MIT. Voir le fichier [LICENSE](LICENSE) pour plus de détails.

## 🤝 Contribution

Les contributions sont les bienvenues ! N'hésitez pas à :
- Signaler des bugs
- Proposer de nouvelles fonctionnalités
- Soumettre des pull requests

## 📞 Support

- 📧 Email : contact@phonxproject.onmicrosoft.com
- 🐙 GitHub : [PhoenixGuardianTools/unified_affiliate_bundle](https://github.com/PhoenixGuardianTools/unified_affiliate_bundle)

---

**PhoenixProject** - Propulsé par l'IA pour maximiser vos revenus d'affiliation 🚀 